package funkcje;

public class V3_TestAutomatyczny {

	public static void main(String[] args) {
		long wynik;
		int licznikBledow = 0;
		
		wynik = Funkcje.silnia(0);
		if(wynik == 1) {
			System.out.println("0 OK");
		} else {
			System.out.println("0 FAIL (" + wynik + ")");
			licznikBledow++;
		}
		
		wynik = Funkcje.silnia(1);
		if(wynik == 1) {
			System.out.println("1 OK");
		} else {
			System.out.println("1 FAIL (" + wynik + ")");
			licznikBledow++;
		}
		
		wynik = Funkcje.silnia(5);
		if(wynik == 120) {
			System.out.println("5 OK");
		} else {
			System.out.println("5 FAIL (" + wynik + ")");
			licznikBledow++;
		}
		
		wynik = Funkcje.silnia(10);
		if(wynik == 3628800) {
			System.out.println("10 OK");
		} else {
			System.out.println("10 FAIL (" + wynik + ")");
			licznikBledow++;
		}
		
		System.out.println();
		if(licznikBledow == 0) {
			System.out.println("Wszystko OK");
		} else {
			System.out.println("Było " + licznikBledow + " błędów. Popraw definicje funkcji.");
		}
		
	}

}
